%define debug_package %{nil}

Summary:	Erlang PostgreSQL interface
Name:		erlang-pgsql
Version:	0
Release:	3.20080825svn%{?dist}
Group:		Development/Libraries
License:	ERPL
URL:		https://forge.process-one.net/browse/ejabberd-modules/pgsql/trunk
# svn export -r 691 https://svn.process-one.net/ejabberd-modules/pgsql/trunk erlang-pgsql-0
# tar cfz erlang-pgsql-0.tar.gz erlang-pgsql-0
Source:		%{name}-%{version}.tar.gz
BuildRequires:	erlang
Requires:	erlang
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Library that gives possibility to Erlang programs to
connect PostgreSQL databases by plain tcp and execute
simple SQL statements.

%package devel
Summary:	Development files for Erlang PostgreSQL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for Erlang PostgreSQL interface.

%prep
%setup -q 

%build
erlc -o ebin src/pgsql*.erl

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/pgsql-%{version}/{ebin,src}
install -m 644 ebin/*.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/pgsql-%{version}/ebin
install -m 644 src/*.erl $RPM_BUILD_ROOT%{_libdir}/erlang/lib/pgsql-%{version}/src

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc EPLICENSE doc/HOWTO
%dir %{_libdir}/erlang/lib/pgsql-%{version}
%{_libdir}/erlang/lib/pgsql-%{version}/ebin

%files devel
%defattr(-,root,root)
%{_libdir}/erlang/lib/pgsql-%{version}/src

%changelog
* Mon Feb 23 2009 Robert Scheck <robert@fedoraproject.org> 0-3.20080825svn
- Rebuild against rpm 4.6

* Mon Aug 25 2008 Robert Scheck <robert@fedoraproject.org> 0-2.20080825svn
* Remove the versioned requirement to erlang, bump only when needed

* Mon Aug 25 2008 Robert Scheck <robert@fedoraproject.org> 0-1.20080825svn
- Upgrade to SVN 20080825
- Changes to match with the Fedora Packaging Guidelines (#455187 #c2)

* Wed Jul 09 2008 Robert Scheck <robert@fedoraproject.org> 0-1.20080709svn
- Upgrade to SVN 20080709
- Initial spec file for Fedora and Red Hat Enterprise Linux
